### Name: itsSubset
### Title: Range and Extract for Irregular Time-Series Objects
### Aliases: itsSubset rangeIts extractIts x[i,j] [ [,its-method
###   [<-,its,its-method
### Keywords: ts

### ** Examples

its.format("%Y-%m-%d")
b <- newIts(start="2003-01-01",end="2003-01-20")
rangeIts(b,start = "2003-01-05" ,end= "2003-01-15")
rangeIts(b,start = ISOdate(2003,1,5,hour=0) ,end= ISOdate(2003,1,15,hour=0))
b[1:3,]
b[,1]
b[,dates=ISOdate(2003,1,1,hour=0,tz="")]
its.format("%a %d %b %Y")
c <- newIts()
extractIts(c,weekday=TRUE,period="month",find="last")  #the last weekdays of the month in c



